Update Organization General Settings

puthttps://app.fossa.com/api/organizations/{id}/settings/general

Update general settings for an organization

Path parameters

idintegerrequired

Request body · application/json

labelsstring[]
packageLabelsstring[]

Package label names to set on the organization.

titlestring
emailstring
defaultRoleIdinteger
dependencySignaturesstring
disableNonCustomTeamUserRolesboolean
snippetSourceCodeRetentionDaysinteger

Number of days to retain source code from snippet matches. Must be between 1 and 30, or a 400 is returned.

licenseConcludedEnabledboolean

Whether the license-concluded workflow is enabled for the organization.

Responses

204No content
401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

422Unprocessable Entity
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/organizations/1/settings/general
curl --request PUT \  --url 'https://app.fossa.com/api/organizations/1/settings/general' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "labels": [    "critical",    "low"  ],  "packageLabels": [    "internal",    "external"  ],  "title": "title",  "email": "test@fossa.com",  "defaultRoleId": 1,  "dependencySignatures": "1,2,3",  "disableNonCustomTeamUserRoles": false,  "snippetSourceCodeRetentionDays": 30,  "licenseConcludedEnabled": true}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired
application/json